  /*Layout for post*/

  #post_container {
    min-height: 100%;
  }

  #post_container #post {
    padding-top: 10px;
    padding-bottom: 10px;
  }

  #post_container #post .post_content {
    background-color: white;
    display: flex;
    display: -webkit-flex;
  }
  /*Layout for the main content for post*/

  #post_container #post .post_content .post_main {
    flex-grow: 1;
    padding-right: 15px;
    min-height: 400px;
  }
  /*Title of the post*/

  #post_container #post .post_content .post_main .post_title {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    color: #333;
    font-size: 22px;
    font-weight: bold;
  }

  #post_container #post .post_content .post_main .post_title span.post_label {
    flex-shrink: 0;
    display: flex;
    display: -webkit-flex;
    align-items: center;
    justify-content: center;
    width: 24px;
    height: 24px;
    padding: 0;
    margin-left: 5px;
    color: #fff;
    font-size: 12px;
    overflow: hidden;
    border-radius: 50%;
  }

  #post_container #post .post_content .post_main .post_title span.post_label.popular {
    background-color: #ef5350;
  }

  #post_container #post .post_content .post_main .post_title span.post_label.qualified {
    background-color: #ff9800;
  }

  #post_container #post .post_content .post_main .post_title span.post_label.top {
    background-color: #474a4f;
  }
  /*Statistic of the post*/

  #post_container #post .post_content .post_main .post_info {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
    margin-bottom: 10px;
    border-bottom: 1px solid rgba(0, 0, 0, 0.12);
  }

  #post_container #post .post_content .post_main .post_info div:not(:last-child) {
    margin-right: 10px;
  }
  /*Content of the post*/

  #post_container #post .post_content .post_main .post_text p {
    clear: both;
    margin: 0 !important;
    display: block;
  }

  #post_container #post .post_content .post_main .post_text img {
    max-width: 100% !important;
    height: auto !important;
  }
  /*Side content for post*/

  #post_container #post .post_content .post_side {
    min-width: 150px;
    max-width: 175px;
    flex-shrink: 0;
  }

  #post_container #post .post_content .post_side .side_wrapper {
    height: 100%;
  }

  #post_container #post .post_content .post_side #post_author_info {
    flex-shrink: 0;
    padding-top: 5px;
    padding-bottom: 10px;
    padding-left: 15px;
    border-left: 1px solid rgba(0, 0, 0, 0.12);
    border-bottom: 1px solid rgba(0, 0, 0, 0.12);
  }

  #post_container #post .post_content .post_side #post_author_info .author_head {
    display: flex;
    display: -webkit-flex;
    margin-bottom: 5px;
  }

  #post_container #post .post_content .post_side #post_author_info .author_head .avatar {
    margin-right: 5px;
    flex-shrink: 0;
    width: 40px;
    height: 40px;
  }

  #post_container #post .post_content .post_side #post_author_info .author_head .author_tag {
    height: 20px;
    line-height: 20px;
    color: #ff6e40;
  }

  #post_container #post .post_content .post_side #post_author_info .author_head .author_name {
    height: 20px;
    line-height: 20px;
  }

  #post_container #post .post_content .post_side .author_specific .specific_row:not(.no_flex) {
    display: flex;
    display: -webkit-flex;
    align-items: center;
  }

  #post_container #post .post_content .post_side .author_specific .specific_row.no_flex .author_tag {
    margin: 2px 0;
  }

  #post_container #post .post_content .post_side .author_specific .author_tag {
    display: block;
    width: 40px;
    height: 18px;
    line-height: 18px;
    margin-right: 5px;
    padding: 0 3px;
    background-color: #bbbfc4;
    border-radius: 2px;
    font-size: 12px;
    color: #fff;
    text-align: center;
  }
  /*VIR of the post*/

  #post_container #post .post_content .post_side .post_vir {
    padding-top: 10px;
    padding-left: 15px;
    border-left: 1px solid rgba(0, 0, 0, 0.12);
  }

  #post_container #post .post_content .post_side .post_vir .vir_row {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    margin-bottom: 5px;
  }

  #post_container #post .post_content .post_side .post_vir .vir_head .avatar {
    width: 40px;
    height: 40px;
    margin-right: 5px;
  }

  #post_container #post .post_content .post_side .post_vir .vir_info .vir_tag_wrapper {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    font-size: 12px;
  }

  #post_container #post .post_content .post_side .post_vir .vir_info .vir_tag_wrapper .vir_tag {
    display: block;
    width: 40px;
    height: 18px;
    line-height: 18px;
    margin-right: 5px;
    padding: 0 3px;
    background-color: #ff6e40;
    border-radius: 2px;
    color: #fff;
    text-align: center;
  }

  #post_container #post .post_content .post_side .post_vir .vir_info .vir_tag .sofa {}

  #post_container #post .post_content .post_side .post_vir .vir_info .vir_tag .active {}

  #post_container #post .post_content .post_side .post_vir .vir_info .vir_tag .new {}
  /*Reply Block of the post*/

  #post_container #post .post_replies {
    margin-top: 10px;
    background-color: white;
  }
  /*Unlogin tip*/

  #post_container #post .post_replies .unlogin {
    width: 100%;
    height: 40px;
    line-height: 40px;
    text-align: center;
    border: 1px solid #e0e0e0;
    background-color: rgba(239, 83, 80, 0.3);
    margin-bottom: 10px;
  }

  #post_container #post .post_replies .unlogin a {
    color: #64b5f6;
    cursor: pointer;
  }
  /*Layout for user reply*/

  #post_container #post .post_replies #user_reply_wrapper {
    margin-bottom: 10px;
  }

  #post_container #post .post_replies #user_reply_wrapper #user_reply_header {
    font-size: 16px;
    font-weight: bolder;
    margin-bottom: 5px;
  }
  /*Post replies*/

  #post_container #post .post_replies .replies_head {
    display: flex;
    display: -webkit-flex;
    width: 100%;
    height: 30px;
    font-size: 16px;
    font-weight: bolder;
    color: #333;
    border-bottom: 1px solid rgba(0, 0, 0, 0.12);
    margin-bottom: 10px;
  }

  #post_container #post .post_replies .no_replies {
    display: flex;
    display: -webkit-flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 40px;
    border: 1px solid #e0e0e0;
    background-color: rgba(187, 191, 196, 0.3);
    margin-top: 5px;
  }

  #post_container #post .post_replies .replies_loading_wrapper {
    display: flex;
    display: -webkit-flex;
    justify-content: center;
    width: 100%;
    height: 220px;
    padding-top: 100px;
    background-color: #fff;
  }

  #post_container #post .post_replies .replies_loading_wrapper .replies_loading {
    width: 120px;
    height: 30px;
    line-height: 30px;
    padding: 0 10px;
    border-radius: 10px;
    background-color: #ef5350;
    color: #fff;
    cursor: default;
  }

  #post_container #post .post_replies .replies_block .post_reply_item {
    padding: 5px 0;
  }

  #post_container #post .post_replies .replies_block .post_reply_item .reply_head {
    display: flex;
    display: -webkit-flex;
    margin-bottom: 5px;
  }

  #post_container #post .post_replies .replies_block .post_reply_item .reply_head .avatar {
    width: 40px;
    height: 40px;
    margin-right: 5px;
  }

  #post_container #post .post_replies .replies_block .post_reply_item .reply_head .replier {
    height: 40px;
    line-height: 20px;
  }

  #post_container #post .post_replies .replies_block .post_reply_item .reply_head .replier .replier_info {
    color: #9e9e9e;
  }

  #post_container #post .post_replies .replies_block .post_reply_item:not(:last-child) {
    border-bottom: 1px solid rgba(0, 0, 0, 0.12);
  }

  #post_container #post .post_replies .replies_block .post_reply_item .reply_content p {
    margin: 0;
  }
  /*Paginator of the post list*/

  #post_container #post .post_replies .replies_block .pagination {
    display: flex;
    display: -webkit-flex;
    justify-content: center;
    width: 100%;
    margin: 0;
    padding: 5px 0;
  }